HTMLTagBalancer.InfoStack (NekoHTML 1.9.21-SNAPSHOT Implementation)
Date: 2014-03-11

org.cyberneko.html

## Class HTMLTagBalancer.InfoStack

- java.lang.Object
- - org.cyberneko.html.HTMLTagBalancer.InfoStack

- Enclosing class:
    HTMLTagBalancer

      public static class HTMLTagBalancer.InfoStack
      extends java.lang.Object

  Unsynchronized stack of element information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `HTMLTagBalancer.Info[]` | `data` The stack data.
    `int` | `top` The top of the stack.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `HTMLTagBalancer.InfoStack()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `HTMLTagBalancer.Info` | `peek()` Peeks at the top of the stack.
    `HTMLTagBalancer.Info` | `pop()` Pops the top item off of the stack.
    `void` | `push(HTMLTagBalancer.Info info)` Pushes element information onto the stack.
    `java.lang.String` | `toString()` Simple representation to make debugging easier

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### top

          public int top

      The top of the stack.

    - #### data

          public HTMLTagBalancer.Info[] data

      The stack data.

  - ### Constructor Detail

    - #### HTMLTagBalancer.InfoStack

          public HTMLTagBalancer.InfoStack()

  - ### Method Detail

    - #### push

          public void push(HTMLTagBalancer.Info info)

      Pushes element information onto the stack.

    - #### peek

          public HTMLTagBalancer.Info peek()

      Peeks at the top of the stack.

    - #### pop

          public HTMLTagBalancer.Info pop()

      Pops the top item off of the stack.

    - #### toString

          public java.lang.String toString()

      Simple representation to make debugging easier
      Overrides:
        `toString` in class `java.lang.Object`

(C) Copyright 2002-2014, Andy Clark, Marc Guillemot. All rights reserved.